import { H as HTMLMediaProvider } from '../html/provider.js';
import 'maverick.js/std';
import './loader.js';
import 'maverick.js/dom';
import '../html/html–media-events.js';
import 'maverick.js';
import '../hls/hls.js';
import '../../media-core.js';
import 'maverick.js/element';
import '../type-check.js';
import '../hls/loader.js';
import '../video/loader.js';
import '../../media-ui.js';
import '../../icons/icon.js';
import 'media-captions';
import '../html/native-audio-tracks.js';

class AudioProvider extends HTMLMediaProvider {
  $$PROVIDER_TYPE = "AUDIO";
  get type() {
    return "audio";
  }
  setup(context) {
    super.setup(context);
    if (this.type === "audio")
      context.delegate._dispatch("provider-setup", { detail: this });
  }
  /**
   * The native HTML `<audio>` element.
   *
   * @see {@link https://developer.mozilla.org/en-US/docs/Web/API/HTMLAudioElement}
   */
  get audio() {
    return this._media;
  }
}

export { AudioProvider };
