import { ComponentController } from 'maverick.js/element';
import { GroupedLog } from './grouped-log';
import type { LogLevel } from './log-level';
export declare class LoggerController extends ComponentController {
    private _logger;
    protected onConnect(el: HTMLElement): () => void;
}
export declare class Logger {
    private _target;
    error(...data: any[]): boolean;
    warn(...data: any[]): boolean;
    info(...data: any[]): boolean;
    debug(...data: any[]): boolean;
    errorGroup(title: string): GroupedLog;
    warnGroup(title: string): GroupedLog;
    infoGroup(title: string): GroupedLog;
    debugGroup(title: string): GroupedLog;
    setTarget(newTarget: EventTarget | null): void;
    dispatch(level: LogLevel, ...data: any[]): boolean;
}
