import { ComponentController } from 'maverick.js/element';
import type { PlayerAPI } from '../player';
export declare class MediaUserController extends ComponentController<PlayerAPI> {
    private _idleTimer;
    private _delay;
    private _pausedTracking;
    private _focusedItem;
    /**
     * Whether the media user is currently idle.
     */
    get idling(): boolean;
    /**
     * The amount of delay in milliseconds while media playback is progressing without user
     * activity to indicate an idle state.
     *
     * @defaultValue 2000
     */
    get idleDelay(): number;
    set idleDelay(newDelay: number);
    /**
     * Change the user idle state.
     */
    idle(idle: boolean, delay?: number, trigger?: Event): void;
    /**
     * Whether all idle tracking should be paused until resumed again.
     */
    pauseIdleTracking(paused: boolean, trigger?: Event): void;
    protected onConnect(): void;
    private _watchPaused;
    private _onMediaPlay;
    private _onMediaPause;
    private _clearIdleTimer;
    private _onStopIdle;
    private _requestIdleChange;
    private _onIdleChange;
}
