import { Component, ComponentInstance, type HTMLCustomElement } from 'maverick.js/element';
declare global {
    interface MaverickElements {
        'media-outlet': MediaOutletElement;
    }
}
/**
 * Used to render the current provider.
 *
 * @docs {@link https://www.vidstack.io/docs/player/components/media/outlet}
 * @slot - Used to pass content inside the provider output.
 * @example
 * ```html
 * <media-player>
 *   <media-outlet></media-outlet>
 *   <!-- ... -->
 * </media-player>
 * ```
 */
export declare class Outlet extends Component<OutletAPI> {
    static el: import("maverick.js/element").CustomElementDefinition<OutletAPI>;
    private _media;
    private _domSources;
    private _domTracks;
    private _loader;
    constructor(instance: ComponentInstance<OutletAPI>);
    protected onAttach(el: HTMLElement): void;
    protected onConnect(el: HTMLElement): () => void;
    protected onDestroy(): void;
    protected _onResize(): void;
    private _onMutation;
    render(): () => import("maverick.js").JSX.Element;
}
export interface OutletAPI {
}
export interface MediaOutletElement extends HTMLCustomElement<Outlet> {
}
