import { type ReadSignal, type ReadSignalRecord } from 'maverick.js';
import type { MediaStore } from '../../core/api/store';
import type { CommunitySkinProps } from './skin';
export interface CommunitySkinContext {
    $props: ReadSignalRecord<CommunitySkinProps>;
    $media: MediaStore;
}
export interface CommunitySkinTranslations {
    Audio: string;
    Auto: string;
    Captions: string;
    Chapters: string;
    Default: string;
    Mute: string;
    Normal: string;
    Off: string;
    Pause: string;
    Play: string;
    Speed: string;
    Quality: string;
    Settings: string;
    Unmute: string;
    'Seek Forward': string;
    'Seek Backward': string;
    'Closed-Captions On': string;
    'Closed-Captions Off': string;
    'Enter Fullscreen': string;
    'Exit Fullscreen': string;
    'Enter PiP': string;
    'Exit PiP': string;
}
export declare function i18n(translations: ReadSignal<CommunitySkinTranslations | null>, key: keyof CommunitySkinTranslations): string;
export declare const communitySkinContext: import("maverick.js").Context<CommunitySkinContext>;
export declare function useCommunitySkin(): CommunitySkinContext;
export declare function useCommunitySkinI18n(): ReadSignal<CommunitySkinTranslations | null>;
