import { Component, type HTMLCustomElement } from 'maverick.js/element';
declare global {
    interface MaverickElements {
        'media-buffering-indicator': MediaBufferingIndicatorElement;
    }
}
/**
 * Display a loading indicator to users before the media is ready for playback or when
 * waiting for media to buffer.
 *
 * @docs {@link https://www.vidstack.io/docs/player/components/display/buffering-indicator}
 * @example
 * ```html
 * <media-buffering-indicator></media-buffering-indicator>
 * ```
 */
export declare class BufferingIndicator extends Component<BufferingIndicatorAPI> {
    static el: import("maverick.js/element").CustomElementDefinition<import("maverick.js/element").AnyComponentAPI>;
    private _media;
    protected onAttach(): void;
    protected _isBuffering(): boolean;
    render(): import("maverick.js").JSX.Element;
}
export interface BufferingIndicatorAPI {
}
export interface MediaBufferingIndicatorElement extends HTMLCustomElement<BufferingIndicator> {
}
