import { type HTMLCustomElement } from 'maverick.js/element';
import { MenuButton, type MenuButtonAPI } from '../menu-button';
import type { MenuButtonProps } from '../menu-button';
declare global {
    interface MaverickElements {
        'media-audio-menu-button': MediaAudioMenuButtonElement;
    }
}
/**
 * This component is a pre-styled menu button that controls the opening and closing of a audio
 * tracks menu.
 *
 * @docs {@link https://www.vidstack.io/docs/player/components/menu/audio-menu}
 * @example
 * ```html
 * <media-menu>
 *   <media-audio-menu-button label="Audio"></media-audio-menu-button>
 *   <media-audio-menu-items></media-audio-menu-items>
 * </media-menu>
 * ```
 */
export declare class AudioMenuButton extends MenuButton<AudioMenuButtonAPI> {
    static el: import("maverick.js/element").CustomElementDefinition<AudioMenuButtonAPI>;
    render(): import("maverick.js").JSX.Element;
}
export interface AudioMenuButtonAPI extends MenuButtonAPI {
    props: AudioMenuButtonProps;
}
export interface AudioMenuButtonProps extends MenuButtonProps {
    label: string;
}
export interface MediaAudioMenuButtonElement extends HTMLCustomElement<AudioMenuButton> {
}
