import { type HTMLCustomElement } from 'maverick.js/element';
import { MenuButton, type MenuButtonAPI } from '../menu-button';
import type { MenuButtonProps } from '../menu-button';
declare global {
    interface MaverickElements {
        'media-captions-menu-button': MediaCaptionsMenuButtonElement;
    }
}
/**
 * This component is a pre-styled menu button that controls the opening and closing of a captions
 * menu.
 *
 * @docs {@link https://www.vidstack.io/docs/player/components/menu/captions-menu}
 * @example
 * ```html
 * <media-menu>
 *   <media-captions-menu-button label="Captions"></media-captions-menu-button>
 *   <media-captions-menu-items></media-captions-menu-items>
 * </media-menu>
 * ```
 */
export declare class CaptionsMenuButton extends MenuButton<CaptionsMenuButtonAPI> {
    static el: import("maverick.js/element").CustomElementDefinition<CaptionsMenuButtonAPI>;
    render(): import("maverick.js").JSX.Element;
}
export interface CaptionsMenuButtonAPI extends MenuButtonAPI {
    props: CaptionsMenuButtonProps;
}
export interface CaptionsMenuButtonProps extends MenuButtonProps {
    label: string;
}
export interface MediaCaptionsMenuButtonElement extends HTMLCustomElement<CaptionsMenuButton> {
}
