import { type HTMLCustomElement } from 'maverick.js/element';
import { MenuButton, type MenuButtonAPI } from '../menu-button';
import type { MenuButtonProps } from '../menu-button';
declare global {
    interface MaverickElements {
        'media-playback-rate-menu-button': MediaPlaybackRateMenuButtonElement;
    }
}
/**
 * This component is a pre-styled menu button that controls the opening and closing of a playback
 * rate menu.
 *
 * @docs {@link https://www.vidstack.io/docs/player/components/menu/playback-rate-menu}
 * @example
 * ```html
 * <media-menu>
 *   <media-playback-rate-menu-button label="Speed"></media-playback-rate-menu-button>
 *   <media-playback-rate-menu-items></media-playback-rate-menu-items>
 * </media-menu>
 * ```
 */
export declare class PlaybackRateMenuButton extends MenuButton<PlaybackRateMenuButtonAPI> {
    static el: import("maverick.js/element").CustomElementDefinition<PlaybackRateMenuButtonAPI>;
    render(): import("maverick.js").JSX.Element;
}
export interface PlaybackRateMenuButtonAPI extends MenuButtonAPI {
    props: PlaybackRateMenuButtonProps;
}
export interface PlaybackRateMenuButtonProps extends MenuButtonProps {
    label: string;
}
export interface MediaPlaybackRateMenuButtonElement extends HTMLCustomElement<PlaybackRateMenuButton> {
}
