import { type HTMLCustomElement } from 'maverick.js/element';
import { MenuButton, type MenuButtonAPI } from '../menu-button';
import type { MenuButtonProps } from '../menu-button';
declare global {
    interface MaverickElements {
        'media-quality-menu-button': MediaQualityMenuButtonElement;
    }
}
/**
 * This component is a pre-filled menu button that controls the opening and closing of a quality
 * rate menu.
 *
 * @docs {@link https://www.vidstack.io/docs/player/components/menu/quality-menu}
 * @example
 * ```html
 * <media-menu>
 *   <media-quality-menu-button label="Quality"></media-quality-menu-button>
 *   <media-quality-menu-items></media-quality-menu-items>
 * </media-menu>
 * ```
 */
export declare class QualityMenuButton extends MenuButton<QualityMenuButtonAPI> {
    static el: import("maverick.js/element").CustomElementDefinition<QualityMenuButtonAPI>;
    render(): import("maverick.js").JSX.Element;
}
export interface QualityMenuButtonAPI extends MenuButtonAPI {
    props: QualityMenuButtonProps;
}
export interface QualityMenuButtonProps extends MenuButtonProps {
    label: string;
}
export interface MediaQualityMenuButtonElement extends HTMLCustomElement<QualityMenuButton> {
}
